SignatureProperties (Java SE 17 & JDK 17)
Description: declaration: module: java.xml.crypto, package: javax.xml.crypto.dsig, interface: SignatureProperties
Keywords: javax.xml.crypto.dsig.SignatureProperties interface

Module java.xml.crypto
Package javax.xml.crypto.dsig

# Interface SignatureProperties

All Superinterfaces:
  `XMLStructure`

public interface SignatureProperties extends XMLStructure
A representation of the XML `SignatureProperties` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

    <element name="SignatureProperties" type="ds:SignaturePropertiesType"/>
       <complexType name="SignaturePropertiesType">
         <sequence>
           <element ref="ds:SignatureProperty" maxOccurs="unbounded"/>
         </sequence>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

A `SignatureProperties` instance may be created by invoking the `newSignatureProperties` method of the `XMLSignatureFactory` class; for example:

       XMLSignatureFactory factory = XMLSignatureFactory.getInstance("DOM");
       SignatureProperties properties =
          factory.newSignatureProperties(props, "signature-properties-1");

Since:
  1.6
See Also:
  - `XMLSignatureFactory.newSignatureProperties(List, String)`
  - `SignatureProperty`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `TYPE`
  URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getId()`
  Returns the Id of this `SignatureProperties`.
  `List<SignatureProperty>`
  `getProperties()`
  Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.

  ### Methods declared in interface javax.xml.crypto.XMLStructure

  `isFeatureSupported`

- ## Field Details

  - ### TYPE

    static final String TYPE
    URI that identifies the `SignatureProperties` element (this can be specified as the value of the `type` parameter of the `Reference` class to identify the referent's type).
    See Also:
      - Constant Field Values

- ## Method Details

  - ### getId

    String getId()
    Returns the Id of this `SignatureProperties`.
    Returns:
      the Id of this `SignatureProperties` (or `null` if not specified)

  - ### getProperties

    List<SignatureProperty> getProperties()
    Returns an `unmodifiable list` of one or more `SignatureProperty`s that are contained in this `SignatureProperties`.
    Returns:
      an unmodifiable list of one or more `SignatureProperty`s